/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * PurchaseProtectionCreateClaimRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class PurchaseProtectionCreateClaimRequest {
  @SerializedName("purchase_protection_items")
  private PurchaseProtectionItems purchaseProtectionItems = null;

  @SerializedName("incident")
  private Model92 incident = null;

  @SerializedName("existing_case")
  private Model93 existingCase = null;

  @SerializedName("affected_person")
  private AffectedPerson affectedPerson = null;

  @SerializedName("legal_consents")
  private LegalConsents legalConsents = null;

  @SerializedName("policy")
  private Model99 policy = null;

  @SerializedName("total_amount_claimed")
  private Model70 totalAmountClaimed = null;

  @SerializedName("amount_estimation_damage")
  private Model122 amountEstimationDamage = null;

  @SerializedName("contact_phones")
  private ContactPhones contactPhones = null;

  @SerializedName("certificate_id")
  private String certificateId = null;

  public PurchaseProtectionCreateClaimRequest purchaseProtectionItems(PurchaseProtectionItems purchaseProtectionItems) {
    this.purchaseProtectionItems = purchaseProtectionItems;
    return this;
  }

   /**
   * Get purchaseProtectionItems
   * @return purchaseProtectionItems
  **/
  @ApiModelProperty(value = "")
  public PurchaseProtectionItems getPurchaseProtectionItems() {
    return purchaseProtectionItems;
  }

  public void setPurchaseProtectionItems(PurchaseProtectionItems purchaseProtectionItems) {
    this.purchaseProtectionItems = purchaseProtectionItems;
  }

  public PurchaseProtectionCreateClaimRequest incident(Model92 incident) {
    this.incident = incident;
    return this;
  }

   /**
   * Get incident
   * @return incident
  **/
  @ApiModelProperty(required = true, value = "")
  public Model92 getIncident() {
    return incident;
  }

  public void setIncident(Model92 incident) {
    this.incident = incident;
  }

  public PurchaseProtectionCreateClaimRequest existingCase(Model93 existingCase) {
    this.existingCase = existingCase;
    return this;
  }

   /**
   * Get existingCase
   * @return existingCase
  **/
  @ApiModelProperty(value = "")
  public Model93 getExistingCase() {
    return existingCase;
  }

  public void setExistingCase(Model93 existingCase) {
    this.existingCase = existingCase;
  }

  public PurchaseProtectionCreateClaimRequest affectedPerson(AffectedPerson affectedPerson) {
    this.affectedPerson = affectedPerson;
    return this;
  }

   /**
   * Get affectedPerson
   * @return affectedPerson
  **/
  @ApiModelProperty(required = true, value = "")
  public AffectedPerson getAffectedPerson() {
    return affectedPerson;
  }

  public void setAffectedPerson(AffectedPerson affectedPerson) {
    this.affectedPerson = affectedPerson;
  }

  public PurchaseProtectionCreateClaimRequest legalConsents(LegalConsents legalConsents) {
    this.legalConsents = legalConsents;
    return this;
  }

   /**
   * Get legalConsents
   * @return legalConsents
  **/
  @ApiModelProperty(required = true, value = "")
  public LegalConsents getLegalConsents() {
    return legalConsents;
  }

  public void setLegalConsents(LegalConsents legalConsents) {
    this.legalConsents = legalConsents;
  }

  public PurchaseProtectionCreateClaimRequest policy(Model99 policy) {
    this.policy = policy;
    return this;
  }

   /**
   * Get policy
   * @return policy
  **/
  @ApiModelProperty(required = true, value = "")
  public Model99 getPolicy() {
    return policy;
  }

  public void setPolicy(Model99 policy) {
    this.policy = policy;
  }

  public PurchaseProtectionCreateClaimRequest totalAmountClaimed(Model70 totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
    return this;
  }

   /**
   * Get totalAmountClaimed
   * @return totalAmountClaimed
  **/
  @ApiModelProperty(value = "")
  public Model70 getTotalAmountClaimed() {
    return totalAmountClaimed;
  }

  public void setTotalAmountClaimed(Model70 totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
  }

  public PurchaseProtectionCreateClaimRequest amountEstimationDamage(Model122 amountEstimationDamage) {
    this.amountEstimationDamage = amountEstimationDamage;
    return this;
  }

   /**
   * Get amountEstimationDamage
   * @return amountEstimationDamage
  **/
  @ApiModelProperty(value = "")
  public Model122 getAmountEstimationDamage() {
    return amountEstimationDamage;
  }

  public void setAmountEstimationDamage(Model122 amountEstimationDamage) {
    this.amountEstimationDamage = amountEstimationDamage;
  }

  public PurchaseProtectionCreateClaimRequest contactPhones(ContactPhones contactPhones) {
    this.contactPhones = contactPhones;
    return this;
  }

   /**
   * Get contactPhones
   * @return contactPhones
  **/
  @ApiModelProperty(value = "")
  public ContactPhones getContactPhones() {
    return contactPhones;
  }

  public void setContactPhones(ContactPhones contactPhones) {
    this.contactPhones = contactPhones;
  }

  public PurchaseProtectionCreateClaimRequest certificateId(String certificateId) {
    this.certificateId = certificateId;
    return this;
  }

   /**
   * Identifier of the certificate related to the claim.
   * @return certificateId
  **/
  @ApiModelProperty(value = "Identifier of the certificate related to the claim.")
  public String getCertificateId() {
    return certificateId;
  }

  public void setCertificateId(String certificateId) {
    this.certificateId = certificateId;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PurchaseProtectionCreateClaimRequest purchaseProtectionCreateClaimRequest = (PurchaseProtectionCreateClaimRequest) o;
    return Objects.equals(this.purchaseProtectionItems, purchaseProtectionCreateClaimRequest.purchaseProtectionItems) &&
        Objects.equals(this.incident, purchaseProtectionCreateClaimRequest.incident) &&
        Objects.equals(this.existingCase, purchaseProtectionCreateClaimRequest.existingCase) &&
        Objects.equals(this.affectedPerson, purchaseProtectionCreateClaimRequest.affectedPerson) &&
        Objects.equals(this.legalConsents, purchaseProtectionCreateClaimRequest.legalConsents) &&
        Objects.equals(this.policy, purchaseProtectionCreateClaimRequest.policy) &&
        Objects.equals(this.totalAmountClaimed, purchaseProtectionCreateClaimRequest.totalAmountClaimed) &&
        Objects.equals(this.amountEstimationDamage, purchaseProtectionCreateClaimRequest.amountEstimationDamage) &&
        Objects.equals(this.contactPhones, purchaseProtectionCreateClaimRequest.contactPhones) &&
        Objects.equals(this.certificateId, purchaseProtectionCreateClaimRequest.certificateId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(purchaseProtectionItems, incident, existingCase, affectedPerson, legalConsents, policy, totalAmountClaimed, amountEstimationDamage, contactPhones, certificateId);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PurchaseProtectionCreateClaimRequest {\n");
    
    sb.append("    purchaseProtectionItems: ").append(toIndentedString(purchaseProtectionItems)).append("\n");
    sb.append("    incident: ").append(toIndentedString(incident)).append("\n");
    sb.append("    existingCase: ").append(toIndentedString(existingCase)).append("\n");
    sb.append("    affectedPerson: ").append(toIndentedString(affectedPerson)).append("\n");
    sb.append("    legalConsents: ").append(toIndentedString(legalConsents)).append("\n");
    sb.append("    policy: ").append(toIndentedString(policy)).append("\n");
    sb.append("    totalAmountClaimed: ").append(toIndentedString(totalAmountClaimed)).append("\n");
    sb.append("    amountEstimationDamage: ").append(toIndentedString(amountEstimationDamage)).append("\n");
    sb.append("    contactPhones: ").append(toIndentedString(contactPhones)).append("\n");
    sb.append("    certificateId: ").append(toIndentedString(certificateId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

